> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a document pdf export using Raw JSON Payload



## OpenAPI

````yaml post /documents/exports/pdf
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents/exports/pdf:
    post:
      summary: Create a document pdf export using Raw JSON Payload
      operationId: create-a-document-pdf-export-with-raw-json-payload
      parameters:
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                document:
                  type: object
                  description: >-
                    Specifies a list of JoyDoc Fields that you would like to
                    merge/overwrite inside the targeted document identifier.
                  properties:
                    identifier:
                      type: string
                      description: >-
                        Specifies a document's unique ID. Maximum length is 80
                        characters. Identifier cannot be changed after creation.
                        Leave the identifier param empty to have Joyfill auto
                        generate an identifier.
                    name:
                      type: string
                      description: >-
                        Specifies the visual display name. When the template
                        param is used in this creation event and this name is
                        left blank the document will automatically be given the
                        same name as the original template.
                    files:
                      type: array
                      description: >-
                        Array of JoyDoc file objects. See the JoyDoc data
                        structure under the guides section to learn more.
                    fields:
                      type: array
                      description: >-
                        Array of JoyDoc field objects. See the JoyDoc data
                        structure under the guides section to learn more.
                    template:
                      type: string
                      description: >-
                        The template identifier to use as the source of the
                        document.
                    group:
                      type: string
                      description: >-
                        The group identifier of the group that you would like to
                        create the document for.
                    stage:
                      type: string
                      default: published
                      enum:
                        - draft
                        - published
                timezone:
                  type: string
                  default: UTC
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "download_url": "String",
                      "preview_url": "String"
                    }
              schema:
                type: object
                properties:
                  download_url:
                    type: string
                    example: String
                  preview_url:
                    type: string
                    example: String
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````